> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/vpc-network/havip/modifyhavipattribute.md).

# ModifyHaVipAttribute

## 1. API Description

This API (ModifyHaVipAttribute) is used to modify the name or security group of a HaVip.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type   | Description                                                                                                                                                                 |
| --------------- | -------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| haVipId         | Yes      | String | The ID of the high availability virtual IP.                                                                                                                                 |
| name            | No       | String | HaVip name. Length: 1 to 64 characters. At least one of name or securityGroupId must be provided.                                                                           |
| securityGroupId | No       | String | The ID of the security group. If set, the security group bound to the HaVip will be changed to the specified one. At least one of name or securityGroupId must be provided. |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Rename a HaVip.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyHaVipAttribute
<Common Request Params>

Request：
{
  "haVipId": "havip-xxxxxxxx",
  "name": "my-havip-renamed"
}

Response：
{
  "requestId": "T12345678-0000-0000-0000-000000000004",
  "response": {
    "requestId": "T12345678-0000-0000-0000-000000000004"
  }
}
```

**2. Change the security group bound to a HaVip.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyHaVipAttribute
<Common Request Params>

Request：
{
  "haVipId": "havip-xxxxxxxx",
  "securityGroupId": "sg-xxxxxxxx"
}

Response：
{
  "requestId": "T12345678-0000-0000-0000-000000000005",
  "response": {
    "requestId": "T12345678-0000-0000-0000-000000000005"
  }
}
```

**3. Modify both name and security group.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyHaVipAttribute
<Common Request Params>

Request：
{
  "haVipId": "havip-xxxxxxxx",
  "name": "my-havip-new",
  "securityGroupId": "sg-xxxxxxxx"
}

Response：
{
  "requestId": "T12345678-0000-0000-0000-000000000006",
  "response": {
    "requestId": "T12345678-0000-0000-0000-000000000006"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                           | Description                                  |
| ---------------- | ------------------------------------ | -------------------------------------------- |
| 404              | INVALID\_HAVIP\_NOT\_FOUND           | The specified HaVip does not exist.          |
| 404              | INVALID\_SECURITY\_GROUP\_NOT\_FOUND | The specified security group does not exist. |
